#ifndef __Base64_h__
#define __Base64_h__

#include "ZString.h"
#include "MString.h"

namespace coreutils {

   ///
   /// Use the Base64 object when you need to translate character string
   /// to/from base64 encoded strings.
   ///
   
   class Base64 {
   
    public:
      bool isBase64(unsigned char c);
      MString encode(ZString data);	  	   
      MString decode(ZString b64data);
         
   };
   
}

#endif
